Bug 1689907 - Undercloud: zaqar containers healthcheck missing
Summary: Undercloud: zaqar containers healthcheck missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 15.0 (Stein)
Hardware: All
OS: All
medium
medium
Target Milestone: beta
: 15.0 (Stein)
Assignee: Cédric Jeanneret
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-18 12:17 UTC by Sasha Smolyak
Modified: 2019-09-26 10:48 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-common-10.7.1-0.20190606230405.3ff454a.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:20:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 655483 0 None None None 2019-04-24 16:03:06 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:21:01 UTC

Description Sasha Smolyak 2019-03-18 12:17:04 UTC
Description of problem:
Undercloud: when running healthcheck for containers, got no healthcheck service for zaqar

Version-Release number of selected component (if applicable):
puppet-zaqar-14.3.0-0.20190313091807.aed1d72.el8ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy undercloud 
2. Check the list of containers: sudo podman ps
3. Run healthcheck for zaqar container:
[stack@undercloud-0 ~]$ systemctl status tripleo_zaqar_healthcheck.service

Actual results:
Unit tripleo_zaqar_healthcheck.service could not be found.

Expected results:
Healthcheck returns 0/SUCCESS

Additional info:

Comment 1 Cédric Jeanneret 2019-04-24 16:03:06 UTC
We first need to update tripleo-common, ensure its new version is shipped in containers, and then only we'll be able to update tripleo-heat-templates in order to point the healthchecks to the new scripts.

Comment 2 Cédric Jeanneret 2019-06-03 11:36:58 UTC
All should be available in tripleo-common and tripleo-heat-templates since it merged upstream and got automatically backported downstream some time ago. Care to check with latest compose?

Comment 6 Sasha Smolyak 2019-07-21 13:31:43 UTC
[stack@undercloud-0 ~]$ systemctl status tripleo_zaqar_healthcheck.service
● tripleo_zaqar_healthcheck.service - zaqar healthcheck
   Loaded: loaded (/etc/systemd/system/tripleo_zaqar_healthcheck.service; disabled; vendor preset: disabled)
   Active: inactive (dead) since Sun 2019-07-21 09:30:05 EDT; 9s ago
  Process: 162431 ExecStart=/usr/bin/podman exec zaqar /usr/share/openstack-tripleo-common/healthcheck/zaqar-api (code=exited, status=0/SUCCESS)
 Main PID: 162431 (code=exited, status=0/SUCCESS)

Comment 8 errata-xmlrpc 2019-09-21 11:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.